Description: When using @\questionouverte@, one cannot add an identifier which would be  helpfull when collecting a 

catalog,

In catalog mode the question id is rendered in bold between @[]@ such as @[geography-cities1]@. This 
does not apply to questionoeverte, which is missing the 
required id attribute.

There is no need to put it in the database, as there is nothing to scan from the answer forms, but it would be 
nice to have this possibility, so
it would only affect LaTeX and not the processing.

for the time being I redefined the environment like so
<pre>
\renewenvironment{questionouverte}[2][0pt]{ %
  \AMCtype@multifalse\ouverte@vs=#1%
  \ifAMC@qbloc\noindent\begin{minipage}{\linewidth}\fi %
  \AMCbeginQuestion{\AMC@qaff}{}\ifAMC@affichekeys\ \textbf{\texttt{ [ #2 ] }}\fi}
{\vspace*{\ouverte@vs}\ifAMC@qbloc\end{minipage}\vspace{3ex}\fi}

</pre>

History
04/03/2013 03:20 pm - Alexis Bienvenüe
@questionouverte@ is quite abandoned. The problem with it is that you can't grade those questions and integrate the marks in the exported marks 
spreadsheet easily. Thus @AMCOpen@ was here to replace it. I kept @questionouverte@ in the code for backward compatibility (that's why I'm not 
sure it's a good idea to add a parameter to this command without renaming it), but I don't work on it.

04/03/2013 03:21 pm - Alexis Bienvenüe
- Subject changed from @\questionouverte@ does not have a identitying argument to \questionouverte does not have a identitying argument

04/03/2013 05:00 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> @questionouverte@ is quite abandoned. The problem with it is that you can't grade those questions and integrate the marks in the exported marks 
spreadsheet easily. Thus @AMCOpen@ was here to replace it. I kept @questionouverte@ in the code for backward compatibility (that's why I'm not 
sure it's a good idea to add a parameter to this command without renaming it), but I don't work on it.

*Any other idea* how I can avoid longish open question boxes on the separate answer sheet?

Because that is really my use case.

The exam I am now preparing (helping a colleague) contains some 20 MC questions and some 10 open questions.
The 20 answers easily fit on one separate answer sheet.
The open question answer boxes easily take  4 to 5 A4 pages, which I do not want to scan.
The way of working would be:

04/26/2024 1/3



# Scanning the answer sheets
# scoring with AMC
# correcting the open questions, question dimension first. (question 1 for al, then question 2 for all etc)

For the last step we would simply add a column with weight per open question to the spreadsheet generated by AMC and let the spreadsheet do the 
computations. Our experience is that you best score the same question for all students first, and then it is no big deal to add the score in a spreadsheet 
column instead of marking it on the score paper and scan it afterwards.

Of course *one should avoid open questions anyway* to have most benefit of AMC but that is for a later stage of convincing my colleagues.

I will consider questionouverte deprecated from now on.

04/03/2013 05:10 pm - Alexis Bienvenüe
Is there any need to use some AMC logic for these open questions? Perhaps you can write your open questions at the end of the subject, numbered 
from 1, with standard LaTeX commands, and just tell the students to answer these questions on a separate "classical" exam sheet? The students return 
two answer sheets: the one-page AMC answer sheet and the standard exam sheet with answers to open questions.

04/03/2013 06:46 pm - Pieter  Van den Hombergh
Alexis Bienvenüe wrote:
> Is there any need to use some AMC logic for these open questions? Perhaps you can write your open questions at the end of the subject, numbered 
from 1, with standard LaTeX commands, and just tell the students to answer these questions on a separate "classical" exam sheet? The students return 
two answer sheets: the one-page AMC answer sheet and the standard exam sheet with answers to open questions.

What we do is close to what you suggest: We have all open questions at the end of the exam. We use a separate '@\element{open}{...}@' for the open 
questions.
No AMC processing (apart from LaTeX compilation) is required.

Since you were so kind to separate the separate answer sheets, the students indeed receive an exam they can use to write down their open question 
answers,
The separate answer sheet is processed 'the AMC way'.

I should test if my redefinition of @\questionouverte@ does not interfere with the AMC processing, since I use a AMC question counter.
*Tested*: There is no interference. I did a full generate, print, scan (manual) and computation to spreadsheet.

I will consider to use a separate macro name.

Thanks for your effort.

04/03/2013 07:03 pm - Pieter  Van den Hombergh
Pieter  Van den Hombergh wrote:
> Alexis Bienvenüe wrote:
> > Is there any need to use some AMC logic for these open questions? Perhaps you can write your open questions at the end of the subject, 
numbered from 1, with standard LaTeX commands, and just tell the students to answer these questions on a separate "classical" exam sheet? The 
students return two answer sheets: the one-page AMC answer sheet and the standard exam sheet with answers to open questions.
> 
> What we do is close to what you suggest: We have all open questions at the end of the exam. We use a separate '@\element{open}{...}@' for the 
open questions.
> No AMC processing (apart from LaTeX compilation) is required.
> 
> Since you were so kind to separate the separate answer sheets, the students indeed receive an exam they can use to write down their open question 
answers,
> The separate answer sheet is processed 'the AMC way'.
> 
> I should test if my redefinition of @\questionouverte@ does not interfere with the AMC processing, since I use a AMC question counter.
> *Tested*: There is no interference. I did a full generate, print, scan (manual) and computation to spreadsheet.
> 
> 
> I will consider to use a separate macro name.
> 
> Thanks for your effort.

Tested with optical scan. No problems with my open question usage.

01/28/2021 08:35 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100
